Results 1 to 5 of 5

Thread: OpenGL Error, after installation of application: Mercury_3.3

  1. #1

    Default OpenGL Error, after installation of application: Mercury_3.3

    Hello, i-ve downlaoded and installed the following app:
    http://www.ccdc.cam.ac.uk/Solutions/...eeMercury.aspx

    but after installation, when starting, a window with following Error message appears:

    There has been an error.
    Error running /home/myname/Mercury_3.3/bin/mercury.x:
    error while loading shared libraries: libfreetype.so.6: cannot open shared object file: No such file or directory
    The application will exit now.
    i should install that libfreetype.so.6 ?

    with regards

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,718

    Default Re: OpenGL Error, after installation of application: Mercury_3.3

    Can you pleasse at least tell which version of openSUSE you use?
    Henk van Velden

  3. #3

    Default Re: OpenGL Error, after installation of application: Mercury_3.3

    opensuse 13.1, 64 bit

    i've installed that .so package for 32 bit via yast.

    now libfontconfig.so.1 is missing and i cannot find that in yast software center

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,718

    Default Re: OpenGL Error, after installation of application: Mercury_3.3

    I can not find Mercury in the standard (OSS and non-OSS) repos. So you got it elsewhere and this is not a standard installation. What did you download from where or to what repositiry did you subscribe and how did you install it using YaST? Please, why do we have to ask every bit of information?

    In general, when the RPM is build correctly, YaST should install all required ackages as dependancies. But because you installed a 32-bit package on a 64-bit system, YaST will probably not install spontanious the 32-bit packages needed. Or, more likely to me, the RPM is not correct.

    It is also quite possible that your product, a 64-bit version apparently not availale, is a bit old and was not kept up-to-date with the library structure on newer systems. Try to contact the Mercury people.
    Henk van Velden

  5. #5

    Default Re: OpenGL Error, after installation of application: Mercury_3.3

    yes i installed some required 32bit libraries. i got some steps forward.

    there is one more error message:

    Code:
                     
    
    1. /home/nbtk/Mercury_3.3/c_linux/bin/mercury.x: /home/nbtk/Mercury_3.3/c_linux/lib/libz.so.1: no version information available (required by /usr/lib/libpng16.so.16) /home/nbtk/Mercury_3.3/c_linux/bin/mercury.x: relocation error: /usr/lib/libpng16.so.16: symbol inflateReset2, version ZLIB_1.2.3.4 not defined in file libz.so.1 with link time reference
    i can try to contact them. however i dont think they will help much , sorry guys. but yes i understand you, sorry

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •